> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a responder request for an incident

`POST https://api.pagerduty.com/incidents/{id}/responder_requests`

Send a new responder request for the specified incident. This endpoint requires the account to have access to the [responder requests](https://support.pagerduty.com/main/docs/add-responders) feature.

**Account Ability Requirement**: The account must have the `coordinated_responding` ability. Returns 402 Payment Required if the ability is missing. You can use the [List Abilities API](https://docs.pagerduty.com/developer/api/reference/rest/abilities/list-abilities) to check account abilities.

A user or an escalation policy can be requested. The responder targets will be notified via their high urgency notification rules, until the target user has either accepted or declined the request.
Previous responder requests for a given target can be cancelled (preventing them from further notifying or escalating), with the [Cancel Responder Requests](https://docs.pagerduty.com/developer/api/reference/rest/incidents/cancel-incident-responder-request) endpoint.

Scoped OAuth requires: `incidents.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `requester_id` | string | yes | The user id of the requester. |
| `message` | string | yes | The message sent with the responder request. |
| `responder_request_targets` |  | yes | The array of targets the responder request is sent to. |

Example: Request Example

```json
{
  "requester_id": "PL1JMK5",
  "message": "Please help with issue - join bridge at +1(234)-567-8910",
  "responder_request_targets": [
    {
      "responder_request_target": {
        "id": "PJ25ZYX",
        "type": "user_reference"
      }
    }
  ]
}
```

## Response 200

The new responder request for the given incident.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `responder_request` | object | yes |  |
| `responder_request.id` | string |  | The ID of the responder request. |
| `responder_request.incident` | object |  |  |
| `responder_request.incident.id` | string | yes | Read-only. |
| `responder_request.incident.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `responder_request.incident.type` | string | yes | One of: `incident_reference`. |
| `responder_request.incident.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `responder_request.incident.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `responder_request.requester` | object |  |  |
| `responder_request.requester.id` | string | yes | Read-only. |
| `responder_request.requester.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `responder_request.requester.type` | string | yes | One of: `user_reference`. |
| `responder_request.requester.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `responder_request.requester.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `responder_request.requested_at` | string |  | The time the request was made. |
| `responder_request.message` | string |  | The message sent with the responder request. |
| `responder_request.responder_request_targets` | array of object |  | The array of targets the responder request is being sent to. |
| `responder_request.responder_request_targets[].type` | string |  | The type of target (either a user or an escalation policy) |
| `responder_request.responder_request_targets[].id` | string |  | The id of the user or escalation policy. |
| `responder_request.responder_request_targets[].summary` | string |  |  |
| `responder_request.responder_request_targets[].incident_responders` | array of object |  | An array of responders associated with the specified incident. |
| `responder_request.responder_request_targets[].incident_responders[].state` | string |  | The status of the responder being added to the incident. One of: `pending`, `joined`, `declined`, `user_cancelled`. |
| `responder_request.responder_request_targets[].incident_responders[].user` | object |  | Same fields as `responder_request.requester` above. |
| `responder_request.responder_request_targets[].incident_responders[].incident` | object |  | Same fields as `responder_request.incident` above. |
| `responder_request.responder_request_targets[].incident_responders[].updated_at` | string |  |  |
| `responder_request.responder_request_targets[].incident_responders[].message` | string |  | The message sent with the responder request. |
| `responder_request.responder_request_targets[].incident_responders[].requester` | object |  | Same fields as `responder_request.requester` above. |
| `responder_request.responder_request_targets[].incident_responders[].requested_at` | string |  |  |
| `responder_request.responder_request_targets[].incident_responders[].escalation_policy_requests` | array of string |  | Names of escalation policies that this responder was requested through, if applicable. |

Example: Response Example

```json
{
  "responder_request": {
    "incident": {
      "id": "PXP12GZ",
      "type": "incident_reference",
      "summary": "Ongoing Incident in Mailroom",
      "self": "https://api.pagerduty.com/incidents/PXP12GZ",
      "html_url": "https://subdomain.pagerduty.com/incidents/PXP12GZ"
    },
    "requester": {
      "id": "P09TT3C",
      "type": "user_reference",
      "summary": "Jane Doe",
      "self": "https://api.pagerduty.com/users/P09TT3C",
      "html_url": "https://subdomain.pagerduty.com/users/P09TT3C"
    },
    "requested_at": "2018-08-16T14:55:17-07:00",
    "message": "Please help with issue - join bridge at +1(234)-567-8910",
    "responder_request_targets": [
      {
        "responder_request_target": {
          "type": "user",
          "id": "PL7A2O4",
          "incidents_responders": [
            {
              "state": "pending",
              "user": {
                "id": "PL7A2O4",
                "type": "user_reference",
                "summary": "Lee Turner",
                "self": "https://api.pagerduty.com/users/PL7A2O4",
                "html_url": "https://subdomain.pagerduty.com/users/PL7A2O4",
                "avatar_url": "https://pd-static-assets.pagerduty.com/users/blank-avatar.png"
              },
              "incident": {
                "id": "PXP12GZ",
                "type": "incident_reference",
                "summary": "Ongoing Incident in Mailroom",
                "self": "https://api.pagerduty.com/incidents/PXP12GZ",
                "html_url": "https://subdomain.pagerduty.com/incidents/PXP12GZ"
              },
              "updated_at": "2018-08-09T14:40:48-07:00",
              "message": "Please help with issue - join bridge at +1(234)-567-8910",
              "requester": {
                "id": "P09TT3C",
                "type": "user_reference",
                "summary": "Jane Doe",
                "self": "https://api.pagerduty.com/users/P09TT3C",
                "html_url": "https://subdomain.pagerduty.com/users/P09TT3C",
                "avatar_url": "https://pd-static-assets.pagerduty.com/users/blank-avatar.png"
              },
              "requested_at": "2018-08-09T21:40:49Z"
            }
          ]
        }
      }
    ]
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
